package com.tutego.insel.ui.dialog;

import javax.swing.*;

public class JOptionPaneDialog
{
  public static void main( String[] args )
  {
    // Meldedialog

    JOptionPane.showMessageDialog( null, "Wir Kinder aus dem Möwenweg" );

    // Eingabedialog

    JOptionPane.showInputDialog( "Bitte Zahl eingeben" );

    // Bestätigungsdialog

    JOptionPane.showConfirmDialog( null, "Alles OK?" );

    // Auswahldialog

    String[] options = {
      "männlich", "weiblich", "keine Ahnung", "ändert sich ständig" };

    String sex = (String) JOptionPane.showInputDialog( null,
              "Geschlecht",
              "Bitte das Geschlecht wählen (eigenes, nicht gewünschtes)",
              JOptionPane.QUESTION_MESSAGE,
              null, options,
              options[1] );

    System.out.println( sex );

    // Angepasster Optionsdialog

    String[] optionen = { "Ja", "Nein", "Abbrechen" };

    int n = JOptionPane.showOptionDialog( null,
              "Ja oder Nein?",      // Fragetext
              "Ja/Nein/Abbrechen",  // Titel
              JOptionPane.YES_NO_CANCEL_OPTION,
              JOptionPane.QUESTION_MESSAGE,  // Icon
              null, optionen,optionen[0] );

    if ( n == JOptionPane.YES_OPTION )
      System.out.println("Ja gewählt");

    System.exit( 0 );
  }
}
